Returns the mergers and acquisitions data
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/ma?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/ma?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/ma?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/ma?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/ma?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/ma?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/ma?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"ma": [
{
"acquirer_cusip": "233377407",
"acquirer_exchange": "NASDAQ",
"acquirer_isin": "US2333774071",
"acquirer_name": "DXP Enterprises",
"acquirer_ticker": "DXPE",
"currency": "USD",
"date": "2026-01-05",
"date_completed": "2026-01-05",
"date_expected": "",
"deal_payment_type": "",
"deal_size": "",
"deal_status": "Completed",
"deal_terms_extra": "Terms of the transaction are not being disclosed.",
"deal_type": "Acquisition",
"id": "695bc1b183cac20001bec44e",
"importance": 2,
"notes": "",
"target_exchange": "",
"target_name": "PREMIERflow, LLC",
"target_ticker": "",
"updated": 1767621689
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
Merger And Acquisition
Returns mergers and acquisitions (M&A) data including deal announcements, completions, and details about acquiring and target companies. Includes deal size, payment type, deal status, and expected/completed dates for corporate consolidation activities.
GET
/
api
/
v2.1
/
calendar
/
ma
Returns the mergers and acquisitions data
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/ma?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/ma?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/ma?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/ma?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/ma?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/ma?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/ma?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"ma": [
{
"acquirer_cusip": "233377407",
"acquirer_exchange": "NASDAQ",
"acquirer_isin": "US2333774071",
"acquirer_name": "DXP Enterprises",
"acquirer_ticker": "DXPE",
"currency": "USD",
"date": "2026-01-05",
"date_completed": "2026-01-05",
"date_expected": "",
"deal_payment_type": "",
"deal_size": "",
"deal_status": "Completed",
"deal_terms_extra": "Terms of the transaction are not being disclosed.",
"deal_type": "Acquisition",
"id": "695bc1b183cac20001bec44e",
"importance": 2,
"notes": "",
"target_exchange": "",
"target_name": "PREMIERflow, LLC",
"target_ticker": "",
"updated": 1767621689
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"ma": [
{
"acquirer_cusip": "233377407",
"acquirer_exchange": "NASDAQ",
"acquirer_isin": "US2333774071",
"acquirer_name": "DXP Enterprises",
"acquirer_ticker": "DXPE",
"currency": "USD",
"date": "2026-01-05",
"date_completed": "2026-01-05",
"date_expected": "",
"deal_payment_type": "",
"deal_size": "",
"deal_status": "Completed",
"deal_terms_extra": "Terms of the transaction are not being disclosed.",
"deal_type": "Acquisition",
"id": "695bc1b183cac20001bec44e",
"importance": 2,
"notes": "",
"target_exchange": "",
"target_name": "PREMIERflow, LLC",
"target_ticker": "",
"updated": 1767621689
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Headers
Query Parameters
Was this page helpful?